incubator-deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "marios@redhat.com" <mandr...@redhat.com>
Subject aws 2.5.2 incompatibility issue with ruby 1.8.6
Date Tue, 10 May 2011 19:44:01 GMT
Hi

(tl;dr: latest aws gem v.2.5.2 and ruby v.1.8.6 == problem)

I ran into an issue using the EC2 driver today - it is particular to 
ruby 1.8.6 (yes i really need to get off fedora 13...) and the latest 
aws gem v. 2.5.2. Basically aws gem uses "string.each_char" which 
doesn't exist in ruby 1.8.6 (introduced in 1.8.7). I requested a minor 
fix using "string".to_a.each  (aws github pull request 
https://github.com/appoxy/aws/pull/89 ) - don't know if appoxy aws folk 
are interested in maintaining 1.8.6 compatibility though,


marios

Mime
View raw message